--------------------------------
-- Map Marker Tracking Border --
--------------------------------
local addon, ns = ...
local ss = ns.SS

local mtTrackingBorder = {};

--- Creates a new tracking border.
-- @param parent The parent container.
--
function mtTrackingBorder:New(parent)
  -- Add the trackingBorder
  local trackingBorder = parent:CreateTexture(nil, "OVERLAY")
  trackingBorder:SetTexture(ss.private.MapMarker.trackingBorder.texture)
  trackingBorder:SetPoint  ("TOPLEFT", 0, 0)
  trackingBorder:SetWidth  (ss.private.MapMarker.trackingBorder.size)
  trackingBorder:SetHeight (ss.private.MapMarker.trackingBorder.size)

  return trackingBorder
end

ss.Utils.addModule("MapMarkerTrackingBorder", mtTrackingBorder)
